
Foreman - Bug #11723

Build PXE Default fails with error

09/08/2015 07:22 AM - Phirince Philip

Status: Closed   

Priority: Normal   

Assignee: Phirince Philip   

Category: Templates   

Target version: 1.9.2   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases: 1.9.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2687

  

Description

Here's the error seen:

failed to process template: undefined method `token' for nil:NilClass

 This is because of this line:

:token     => (@host.token.value unless @host.token.nil?)

In this case, @host is nil.

-PP

Related issues:

Related to Foreman - Feature #7828: Provide base URL of Foreman via foreman_url Duplicate 10/07/2014

Related to Foreman - Bug #14232: Missing variable to include Sat 6 Hostname i... Closed 03/16/2016

Has duplicate Foreman - Bug #2449: Fix foreman_url helper so it be used in th... Duplicate 05/01/2013

Associated revisions

Revision 536fd199 - 09/14/2015 07:03 AM - Phirince Philip

fixes #11723 - foreman_url usable from default PXE template

Revision f65a2ae9 - 09/22/2015 07:08 AM - Phirince Philip

fixes #11723 - foreman_url usable from default PXE template

(cherry picked from commit 536fd1994a60996318cb6be0d0bb4046e22c2f6f)

History

#1 - 09/08/2015 07:53 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2687 added

- Pull request deleted ()

#2 - 09/10/2015 04:26 AM - Dominic Cleal

- Related to Feature #7828: Provide base URL of Foreman via foreman_url  added

#3 - 09/14/2015 07:04 AM - Dominic Cleal

- translation missing: en.field_release set to 88

#4 - 09/14/2015 08:02 AM - Phirince Philip

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 536fd1994a60996318cb6be0d0bb4046e22c2f6f.

#5 - 03/16/2016 11:52 AM - Dominic Cleal

- Has duplicate Bug #2449: Fix foreman_url helper so it be used in the PXE Default template added

#6 - 03/16/2016 11:54 AM - Dominic Cleal

- Related to Bug #14232: Missing variable to include Sat 6 Hostname in PXE Menus added
